Files
List order files
GET
/
v2
/
orders
/
{order_id}
/
files
List order files
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "file_01k1a2b3c4d5e6f7g8h9j0k1m2",
"item_id": "item_01k1a2b3c4d5e6f7g8h9j0k1m2_primary",
"kind": "image",
"category": "vehicle",
"stage": "delivery",
"evidence_for": [],
"description": null,
"name": "delivery-right-side.jpg",
"media_type": "image/jpeg",
"size_bytes": 1842112,
"created_at": "2026-08-03T13:18:00+03:00",
"content_url": "https://download.example.invalid/delivery-right-side.jpg",
"content_url_expires_at": "2026-08-03T14:18:00+03:00",
"can_delete": false
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Authorizations
OAuth 2.0 client credentials.
Headers
A caller-supplied request identifier for support.
Required string length:
1 - 255Path Parameters
The order identifier. Stable Bahn order identifier used in every order resource path.
Pattern:
^ord_[a-z0-9]+$Response
The order file list.
Files currently available for an order.
Customer uploads, photos, documents, and evidence files.
Show child attributes
Show child attributes
⌘I
List order files
curl --request GET \
--url https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox.api.bahnexpress.fi/v2/orders/{order_id}/files"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "file_01k1a2b3c4d5e6f7g8h9j0k1m2",
"item_id": "item_01k1a2b3c4d5e6f7g8h9j0k1m2_primary",
"kind": "image",
"category": "vehicle",
"stage": "delivery",
"evidence_for": [],
"description": null,
"name": "delivery-right-side.jpg",
"media_type": "image/jpeg",
"size_bytes": 1842112,
"created_at": "2026-08-03T13:18:00+03:00",
"content_url": "https://download.example.invalid/delivery-right-side.jpg",
"content_url_expires_at": "2026-08-03T14:18:00+03:00",
"can_delete": false
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"instance": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}